/*
 * Created on 17.10.2004
 * $Id: ADBAspect.java,v 1.1 2004/10/19 15:17:11 Heiko Exp $
 */
package de.bsd.adb.aop;

import org.jboss.aop.advice.Interceptor;
import org.jboss.aop.joinpoint.Invocation;

/**
 * @author hwr@pilhuhn.de
 * @version $Revision: 1.1 $
 */
public class ADBAspect implements Interceptor {

	/* (non-Javadoc)
	 * @see org.jboss.aop.advice.Interceptor#invoke(org.jboss.aop.joinpoint.Invocation)
	 */
	public Object invoke(Invocation inv) throws Throwable {
		Object ret=null;
		try {
			System.out.println("Vor invoke, Target ist " + inv.getTargetObject());
			ret = inv.invokeNext();
			return ret;
		}
		finally {
			System.out.println("Nach invoke");			
		}
	}
	
	/* (non-Javadoc)
	 * @see org.jboss.aop.advice.Interceptor#getName()
	 */
	public String getName() {
		
		return "ADBAspect";
	}
}
