/*
 * Created on 30.03.2004
 * $Id: AddrBean.java,v 1.1 2005/01/04 20:00:57 Heiko Exp $
 */
package de.bsd.adb.beans;

import java.io.Serializable;
import java.util.Collection;

/**
 * @author hwr@pilhuhn.de
 * @version $Revision: 1.1 $
 */
public class AddrBean implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private String name;
	private String vorname;
	private String strasse;
	private String plz;
	private String ort;
	private String tel;
	private Collection emails;	
	/**
	 * @return
	 */
	public Collection getEmails() {
		return emails;
	}

	/**
	 * @return
	 */
	public String getName() {
		return name;
	}

	/**
	 * @return
	 */
	public String getOrt() {
		return ort;
	}

	/**
	 * @return
	 */
	public String getPlz() {
		return plz;
	}

	/**
	 * @return
	 */
	public String getStrasse() {
		return strasse;
	}

	/**
	 * @return
	 */
	public String getTel() {
		return tel;
	}

	/**
	 * @return
	 */
	public String getVorname() {
		return vorname;
	}

	/**
	 * @param string
	 */
	public void setEmails(Collection mails) {
		emails = mails;
	}

	/**
	 * @param string
	 */
	public void setName(String string) {
		name = string;
	}

	/**
	 * @param string
	 */
	public void setOrt(String string) {
		ort = string;
	}

	/**
	 * @param string
	 */
	public void setPlz(String string) {
		plz = string;
	}

	/**
	 * @param string
	 */
	public void setStrasse(String string) {
		strasse = string;
	}

	/**
	 * @param string
	 */
	public void setTel(String string) {
		tel = string;
	}

	/**
	 * @param string
	 */
	public void setVorname(String string) {
		vorname = string;
	}
	
	public String toString() {
		return "[" + name + ", " + vorname + ", " + plz +" " + ort + ", " +tel + "]"; 
	}
}
