/*
 * Created on 21.11.2004
 * $Id: WSClientSessionBean.java,v 1.1 2005/01/05 18:23:04 Heiko Exp $
 */
package de.bsd.adb.ejb;

import javax.ejb.SessionBean;
import javax.naming.InitialContext;

import de.bsd.adb.email_suche.ADBService;
import de.bsd.adb.email_suche.StringArray;
import de.bsd.adb.email_suche.WSFacadeService;

 
/**
 * @author hwr@pilhuhn.de
 * @version $Revision: 1.1 $
 * @ejb.bean name="WSClient"
 * 	jndi-name="adb/WSClient"
 * 	local-jndi-name="adb/WSClientLocal"
 * 	view-type="both"
 * 
 * 
 */
public abstract class WSClientSessionBean implements SessionBean {
		
	/**
	 * @ejb.create-method
	 * @ejb.permission unchecked = "true"
	 */
	public void ejbCreate()
	{ 
		
	}
	/**
    * @ejb.interface-method
	 * @ejb.permission unchecked = "true" 
	 */
	public String[] listEmails(String name,String vorname) {
		try {
			InitialContext ic = new InitialContext();
			ADBService sess = (ADBService)ic.lookup("java:comp/env/service/EmailService");
			WSFacadeService asp = (WSFacadeService)sess.getPort(WSFacadeService.class);
			StringArray resulta = asp.sucheEmail(name, vorname);
			
			
			String[] result = resulta.getValue();
			
			System.out.println("Result is " + result.length);
			for (int i=0; i<result.length; i++)
				System.out.println(result[i]);
						
			return result;
		}
		catch (Exception e) {
			e.printStackTrace();
			return new String[0];
		}
		
	}

}
