package de.bsd.adb.utm;

import org.jboss.ejb.plugins.cmp.jdbc.Mapper;

public class ColorMapper implements Mapper {

	// Mapping von Java zu DB-Spalte 
	public Object toColumnValue(Object in) {
		int val = ((Colors)in).getVal(); 
		return new Integer(val);
	}

	// Mapping von DB-Spalte nach Java
	public Object toFieldValue(Object in) {
		Object res;
		int val = ((Integer)in).intValue();
		if (val==1)
			res = Colors.ROT;
		else if (val==2)
			res = Colors.GELB;
		else
			res = Colors.GRUEN;
		return res;				
	}
}
