/*
 * Created on 02.01.2005
 * $Id: EmailEntityBean.java,v 1.1 2005/01/04 20:00:57 Heiko Exp $
 */
package de.bsd.adb.ejb;

import javax.ejb.CreateException;
import javax.ejb.EntityBean;

/**
 * @ejb.bean name="Email"
 * 	type="CMP"
 * 	cmp-version = "2.x"
 * 	view-type = "local"
 * 	local-jndi-name = "adb/Email"
 * 	primkey-field = "emailpk"
 * 
 * @ejb.persistence table-name = "adb_email"
 * @jboss.persistence
 * 	create-table = "${create.table}"
 * 	remove-table = "${remove.table}"
 * 	pk-constraint = "false"
 * 
 * @ejb.permission unchecked = "true"
 * 
 * @jboss.entity-command name = "hsqldb-fetch-key"
 */
public abstract class EmailEntityBean implements EntityBean {

	/**
	 * @ejb.create-method
	 */
	public Integer ejbCreate(String email) 
		throws CreateException {
System.out.println("in create");
System.out.flush();
			setTheEmail(email);
			
			return null;
	}
	
	
	/** 
	 * @ejb.interface-method  
	 * @ejb.persistence
	 * @jboss.persistence auto-increment="true" 
	 */
	public abstract Integer getEmailpk();	
	
	/**
	 * @ejb.interface-method 
	 * @ejb.persistence 
	 */
	public abstract String getTheEmail();
	
	/** @ejb.interface-method */
	public abstract void setTheEmail(String email);
}
